use std::sync::{
    atomic::{AtomicU8, Ordering},
    Arc,
};

pub struct CtrlC {
    counter: Arc<AtomicU8>,
}

impl CtrlC {
    pub fn new() -> Self {
        let counter: Arc<AtomicU8> = Default::default();
        let c = counter.clone();
        ctrlc::set_handler(move || {
            c.fetch_add(1, Ordering::SeqCst);
            if c.load(Ordering::SeqCst) >= 3 {
                std::process::exit(1);
            }
        })
        .unwrap();

        Self { counter }
    }

    pub fn count(&self) -> u8 {
        self.counter.load(Ordering::SeqCst)
    }
}
