use simconnect_sdk::SimConnectObject;

#[derive(Debug, Clone, SimConnectObject)]
#[simconnect(period = "second")]
pub(super) struct AtcID {
    #[simconnect(name = "ATC ID")]
    pub value: String,
}

// #[derive(Debug, Clone, SimConnectObject)]
// #[simconnect(period = "second")]
// #[allow(dead_code)]
// struct AirplaneData {
//     #[simconnect(name = "TITLE")]
//     title: String,
//     #[simconnect(name = "ATC ID")]
//     atc_id: String,
//     #[simconnect(name = "CATEGORY")]
//     category: String,
//     #[simconnect(name = "PLANE LATITUDE", unit = "degrees")]
//     lat: f64,
//     #[simconnect(name = "PLANE LONGITUDE", unit = "degrees")]
//     lon: f64,
//     #[simconnect(name = "PLANE ALTITUDE", unit = "feet")]
//     alt: f64,
//     #[simconnect(name = "SIM ON GROUND")]
//     sim_on_ground: bool,
// }

#[derive(Debug, Clone, SimConnectObject)]
#[simconnect(period = "second")]
pub(super) struct Fuel {
    #[simconnect(name = "FUEL TANK CENTER QUANTITY", unit = "gallons")]
    pub ft1: f64,
    #[simconnect(name = "FUEL TANK LEFT MAIN QUANTITY", unit = "gallons")]
    pub wt1: f64,
    #[simconnect(name = "FUEL TANK RIGHT MAIN QUANTITY", unit = "gallons")]
    pub wt2: f64,
    #[simconnect(name = "FUEL TANK EXTERNAL1 QUANTITY", unit = "gallons")]
    pub et1: f64,
    #[simconnect(name = "FUEL TANK EXTERNAL2 QUANTITY", unit = "gallons")]
    pub et2: f64,
    #[simconnect(name = "FUEL TANK CENTER3 QUANTITY", unit = "gallons")]
    pub et3: f64,
    #[simconnect(name = "FUEL TANK CENTER2 QUANTITY", unit = "gallons")]
    pub ft2: f64,
}
